<?php

namespace Drupal\genoring\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;

/**
 * GenoRing Dataset entity.
 *
 * @ingroup genoring
 *
 * @ConfigEntityType(
 *   id = "genoring_dataset",
 *   label = @Translation("GenoRing dataset handles sets of biological data"),
 *   admin_permission = "administer genoring",
 *   handlers = {
 *     "access" = "Drupal\genoring\GenoringAccessController",
 *     "list_builder" = "Drupal\genoring\Controller\DatasetListBuilder",
 *     "form" = {
 *       "add" = "Drupal\genoring\Form\DatasetAddForm",
 *       "edit" = "Drupal\genoring\Form\DatasetEditForm",
 *       "delete" = "Drupal\genoring\Form\DatasetDeleteForm"
 *     }
 *   },
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label"
 *   },
 *   links = {
 *     "edit-form" = "/genoring/dataset/{genoring_dataset}",
 *     "delete-form" = "/genoring/dataset/{genoring_dataset}/delete"
 *   },
 *   config_export = {
 *     "id",
 *     "uuid",
 *     "label"
 *   }
 * )
 */
class Dataset extends ConfigEntityBase {

  /**
   * The dataset ID.
   *
   * @var string
   */
  public $id;

  /**
   * The dataset UUID.
   *
   * @var string
   */
  public $uuid;

  /**
   * The dataset label.
   *
   * @var string
   */
  public $label;

}
